%global momorel 1

Summary: A C++ interface for the GLib
Name: glibmm
Version: 2.16.4
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.16/%{name}-%{version}.tar.bz2 
NoSource: 0
URL: http://gtkmm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: glibmm-2.14.2-gcc43.patch
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.16.4
BuildPrereq: libsigc++-devel >= 2.2.2
BuildPrereq: perl


%description
This package provides a C++ interface for GLib library.
The interface provides a convenient interface for C++
programmers to create GLib flexible object-oriented framework.
Features include type safe callbacks, widgets that are extensible using
inheritance and over 110 classes that can be freely combined to quickly
create complex user interfaces.


%package devel
Summary: Headers for developing programs that will use GLib
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: libsigc++-devel

%description    devel
This package contains the headers that programmers will need to develop
applications which will use GLib, the C++ interface to the GLib library.

%prep
%setup -q

%patch1 -p1 -b .gcc43~

%build
%configure
make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/lib*.so.*
%dir %{_libdir}/%{name}-2.4
%dir %{_libdir}/%{name}-2.4/proc
%{_libdir}/%{name}-2.4/proc/pm
%{_libdir}/%{name}-2.4/proc/generate_wrap_init.pl
%{_libdir}/%{name}-2.4/proc/beautify_docs.pl
%{_libdir}/%{name}-2.4/proc/gmmproc

%files  devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/%{name}-2.4/proc/m4
%{_libdir}/%{name}-2.4/proc/doxygen_to_devhelp.xsl
%{_libdir}/%{name}-2.4/include
%dir %{_libdir}/giomm-2.4
%{_libdir}/giomm-2.4/include
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-2.4
%{_includedir}/giomm-2.4
%{_datadir}/aclocal/glibmm_check_perl.m4
%{_datadir}/devhelp/books/glibmm-2.4/glibmm-2.4.devhelp

%doc %{_datadir}/doc/%{name}-2.4

%changelog
* Fri Jul  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.4-1m)
- update to 2.16.4

* Tue Jun 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Sun Apr 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update to 2.16.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.16.1-2m)
- rebuild against gcc43

* Sun Mar 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Thu Mar 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.14.2-3m)
- %%NoSource -> NoSource

* Tue Jan 29 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.14.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Oct 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Fri Oct  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- update to 2.14.1

* Thu Sep 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Mon Jun 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.10-1m)
- update to 2.12.10

* Thu May  3 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.12.9-1m)
- update to 2.12.9

* Sun Mar  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.7-1m)
- update to 2.12.7

* Mon Feb 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.6-1m)
- update to 2.12.6

* Fri Feb  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.5-1m)
- update to 2.12.5

* Fri Dec 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.4-1m)
- update to 2.12.4

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-1m)
- update to 2.12.3

* Sat Sep 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.2-1m)
- update to 2.12.2

* Sat Sep 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- update to 2.12.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- update to 2.12.0

* Wed Aug 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.4-1m)
- update to 2.10.4

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.10.3-1m)
- update to 2.10.3

* Wed Mar 15 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.1-2m)
- add Patch0: glibmm-2.6.1-deprecated.patch due to glib-2.10.1

* Mon May 16 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.1-1m)
- update to  2.6.1
- come back to MAIN for inkscape

* Mon Nov 08 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.5-1m)
- update to 2.4.5

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.0-1m)
- version 2.4.0

* Thu Jan 22 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.3.2-1m)
- version 2.3.2

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.0-1m)
- version 2.3.0


